# PHTTPFileRequest Class Reference

`#include <http.h>`

Inheritance diagram for PHTTPFileRequest:

List of all members.

## Public Member Functions

| PHTTPFileRequest (const PURL &url, const PMIMEInfo &inMIME, const PMultiPartList &multipartFormInfo, PHTTPResource *resource, PHTTPServer &server)

## Public Attributes

PFile | file

## Constructor & Destructor Documentation

PHTTPFileRequest::PHTTPFileRequest | ( | const PURL & | url,
|  | const PMIMEInfo & | inMIME,
|  | const PMultiPartList & | multipartFormInfo,
|  | PHTTPResource * | resource,
|  | PHTTPServer & | server |
| ) |  |  |

## Member Data Documentation

PFile PHTTPFileRequest::file

The documentation for this class was generated from the following file:

- http.h